> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.flashid.app/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.flashid.app/_mcp/server.

# Get profile detail

GET http://127.0.0.1:58931/api/profiles/{id}

Get a profile's full configuration. `browser_config` uses the same per-field `{ mode, ...values }` shape as the **Create profile** body, so a detail response can be edited and sent back to **Update profile**. `rotating_proxy` is present only when `proxy_mode` = `rotating`. `cookie_data` is the cookies as a plaintext JSON string.

Reference: https://docs.flashid.app/api-reference/profiles/get-profile-detail

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /api/profiles/{id}:
    get:
      operationId: get-profile-detail
      summary: Get profile detail
      description: >-
        Get a profile's full configuration. `browser_config` uses the same
        per-field `{ mode, ...values }` shape as the **Create profile** body, so
        a detail response can be edited and sent back to **Update profile**.
        `rotating_proxy` is present only when `proxy_mode` = `rotating`.
        `cookie_data` is the cookies as a plaintext JSON string.
      tags:
        - subpackage_profiles
      parameters:
        - name: id
          in: path
          description: '`string` `Required` Profile UUID.'
          required: true
          schema:
            type: string
        - name: X-API-Key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Profiles_Get profile detail_Response_200'
servers:
  - url: http://127.0.0.1:58931
    description: http://127.0.0.1:58931
components:
  schemas:
    ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataProxyConfig:
      type: object
      properties:
        ip:
          type: string
        host:
          type: string
        port:
          type: string
        ip_city:
          type: string
        password:
          type: string
        username:
          type: string
        ip_region:
          type: string
        ipchecker:
          type: string
        ip_country:
          type: string
        proxy_type:
          type: string
        proxy_uuid:
          type: string
        refresh_url:
          type: string
        proxy_ip_updated_time:
          type: string
      required:
        - ip
        - host
        - port
        - ip_city
        - password
        - username
        - ip_region
        - ipchecker
        - ip_country
        - proxy_type
        - proxy_uuid
        - refresh_url
        - proxy_ip_updated_time
      title: ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataProxyConfig
    ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataFolderConfig:
      type: object
      properties:
        folder_name:
          type: string
        folder_uuid:
          type: string
      required:
        - folder_name
        - folder_uuid
      title: ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataFolderConfig
    ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigCpu:
      type: object
      properties:
        mode:
          type: string
        cpu_value:
          type: integer
      required:
        - mode
        - cpu_value
      title: >-
        ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigCpu
    ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigRam:
      type: object
      properties:
        mode:
          type: string
        ram_value:
          type: integer
      required:
        - mode
        - ram_value
      title: >-
        ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigRam
    ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigFonts:
      type: object
      properties:
        mode:
          type: string
        fonts_value:
          type: string
      required:
        - mode
        - fonts_value
      title: >-
        ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigFonts
    ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigWebgl:
      type: object
      properties:
        mode:
          type: string
        webgl_value:
          type: integer
      required:
        - mode
        - webgl_value
      title: >-
        ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigWebgl
    ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigCanvas:
      type: object
      properties:
        mode:
          type: string
        canvas_value:
          type: integer
      required:
        - mode
        - canvas_value
      title: >-
        ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigCanvas
    ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigScreen:
      type: object
      properties:
        mode:
          type: string
        screen_value:
          type: string
      required:
        - mode
        - screen_value
      title: >-
        ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigScreen
    ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigWebgpu:
      type: object
      properties:
        mode:
          type: string
      required:
        - mode
      title: >-
        ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigWebgpu
    ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigWebrtc:
      type: object
      properties:
        mode:
          type: string
        udp_proxy:
          type: boolean
      required:
        - mode
        - udp_proxy
      title: >-
        ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigWebrtc
    ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigLanguage:
      type: object
      properties:
        mode:
          type: string
        language_value:
          type: string
      required:
        - mode
        - language_value
      title: >-
        ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigLanguage
    ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigTimezone:
      type: object
      properties:
        mode:
          type: string
        timezone_value:
          type: string
      required:
        - mode
        - timezone_value
      title: >-
        ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigTimezone
    ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigUserAgentClientHints:
      type: object
      properties:
        platform:
          type: string
        ua_full_version:
          type: string
      required:
        - platform
        - ua_full_version
      title: >-
        ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigUserAgentClientHints
    ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigUserAgent:
      type: object
      properties:
        mode:
          type: string
        client_hints:
          $ref: >-
            #/components/schemas/ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigUserAgentClientHints
        user_agent_value:
          type: string
      required:
        - mode
        - client_hints
        - user_agent_value
      title: >-
        ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigUserAgent
    ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigWebglInfo:
      type: object
      properties:
        mode:
          type: string
        unmasked_vendor:
          type: string
        unmasked_renderer:
          type: string
      required:
        - mode
        - unmasked_vendor
        - unmasked_renderer
      title: >-
        ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigWebglInfo
    ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigDeviceName:
      type: object
      properties:
        mode:
          type: string
        device_name_value:
          type: string
      required:
        - mode
        - device_name_value
      title: >-
        ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigDeviceName
    ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigMacAddress:
      type: object
      properties:
        mode:
          type: string
        mac_address_value:
          type: string
      required:
        - mode
        - mac_address_value
      title: >-
        ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigMacAddress
    ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigClientRects:
      type: object
      properties:
        mode:
          type: string
        client_rects_value:
          type: integer
      required:
        - mode
        - client_rects_value
      title: >-
        ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigClientRects
    ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigDoNotTrack:
      type: object
      properties:
        mode:
          type: string
      required:
        - mode
      title: >-
        ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigDoNotTrack
    ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigGeoLocation:
      type: object
      properties:
        mode:
          type: string
        accuracy:
          type: string
        latitude:
          type: string
        longitude:
          type: string
      required:
        - mode
        - accuracy
        - latitude
        - longitude
      title: >-
        ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigGeoLocation
    ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigAudioContext:
      type: object
      properties:
        mode:
          type: string
        audio_context_value:
          type: integer
      required:
        - mode
        - audio_context_value
      title: >-
        ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigAudioContext
    ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigMediaDevices:
      type: object
      properties:
        mode:
          type: string
        audio_inputs_value:
          type: string
        video_inputs_value:
          type: string
        audio_outputs_value:
          type: string
      required:
        - mode
        - audio_inputs_value
        - video_inputs_value
        - audio_outputs_value
      title: >-
        ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigMediaDevices
    ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigSpeechVoices:
      type: object
      properties:
        mode:
          type: string
      required:
        - mode
      title: >-
        ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigSpeechVoices
    ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfig:
      type: object
      properties:
        cpu:
          $ref: >-
            #/components/schemas/ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigCpu
        ram:
          $ref: >-
            #/components/schemas/ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigRam
        fonts:
          $ref: >-
            #/components/schemas/ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigFonts
        webgl:
          $ref: >-
            #/components/schemas/ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigWebgl
        canvas:
          $ref: >-
            #/components/schemas/ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigCanvas
        screen:
          $ref: >-
            #/components/schemas/ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigScreen
        webgpu:
          $ref: >-
            #/components/schemas/ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigWebgpu
        webrtc:
          $ref: >-
            #/components/schemas/ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigWebrtc
        language:
          $ref: >-
            #/components/schemas/ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigLanguage
        timezone:
          $ref: >-
            #/components/schemas/ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigTimezone
        system_os:
          type: string
        user_agent:
          $ref: >-
            #/components/schemas/ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigUserAgent
        webgl_info:
          $ref: >-
            #/components/schemas/ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigWebglInfo
        device_name:
          $ref: >-
            #/components/schemas/ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigDeviceName
        mac_address:
          $ref: >-
            #/components/schemas/ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigMacAddress
        client_rects:
          $ref: >-
            #/components/schemas/ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigClientRects
        do_not_track:
          $ref: >-
            #/components/schemas/ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigDoNotTrack
        geo_location:
          $ref: >-
            #/components/schemas/ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigGeoLocation
        audio_context:
          $ref: >-
            #/components/schemas/ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigAudioContext
        media_devices:
          $ref: >-
            #/components/schemas/ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigMediaDevices
        speech_voices:
          $ref: >-
            #/components/schemas/ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfigSpeechVoices
        system_version:
          type: string
      required:
        - cpu
        - ram
        - fonts
        - webgl
        - canvas
        - screen
        - webgpu
        - webrtc
        - language
        - timezone
        - system_os
        - user_agent
        - webgl_info
        - device_name
        - mac_address
        - client_rects
        - do_not_track
        - geo_location
        - audio_context
        - media_devices
        - speech_voices
        - system_version
      title: ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfig
    ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataRotatingProxy:
      type: object
      properties:
        city_name:
          type: string
        state_name:
          type: string
        country_code:
          type: string
        country_name:
          type: string
        traffic_type:
          type: string
        city_proxy_val:
          type: string
        selected_level:
          type: string
        region_path_key:
          type: string
        state_proxy_val:
          type: string
      required:
        - city_name
        - state_name
        - country_code
        - country_name
        - traffic_type
        - city_proxy_val
        - selected_level
        - region_path_key
        - state_proxy_val
      title: ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataRotatingProxy
    ApiProfilesIdGetResponsesContentApplicationJsonSchemaData:
      type: object
      properties:
        note:
          type: string
        created_at:
          type: string
        proxy_mode:
          type: string
        cookie_data:
          type: string
        profile_name:
          type: string
        profile_uuid:
          type: string
        proxy_config:
          $ref: >-
            #/components/schemas/ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataProxyConfig
        stars_status:
          type: integer
        folder_config:
          $ref: >-
            #/components/schemas/ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataFolderConfig
        browser_config:
          $ref: >-
            #/components/schemas/ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataBrowserConfig
        rotating_proxy:
          $ref: >-
            #/components/schemas/ApiProfilesIdGetResponsesContentApplicationJsonSchemaDataRotatingProxy
      required:
        - note
        - created_at
        - proxy_mode
        - cookie_data
        - profile_name
        - profile_uuid
        - proxy_config
        - stars_status
        - folder_config
        - browser_config
        - rotating_proxy
      title: ApiProfilesIdGetResponsesContentApplicationJsonSchemaData
    Profiles_Get profile detail_Response_200:
      type: object
      properties:
        code:
          type: integer
        data:
          $ref: >-
            #/components/schemas/ApiProfilesIdGetResponsesContentApplicationJsonSchemaData
        success:
          type: boolean
      required:
        - code
        - data
        - success
      title: Profiles_Get profile detail_Response_200
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

```

## Examples



**Response**

```json
{
  "code": 0,
  "data": {
    "note": "",
    "created_at": "12345678",
    "proxy_mode": "rotating",
    "cookie_data": "",
    "profile_name": "My Profile",
    "profile_uuid": "{{profileId}}",
    "proxy_config": {
      "ip": "1.2.3.4",
      "host": "1.2.3.4",
      "port": "1080",
      "ip_city": "New York",
      "password": "pass",
      "username": "user",
      "ip_region": "NY",
      "ipchecker": "ip2location",
      "ip_country": "US",
      "proxy_type": "socks5",
      "proxy_uuid": "",
      "refresh_url": "",
      "proxy_ip_updated_time": "1779763320"
    },
    "stars_status": 1,
    "folder_config": {
      "folder_name": "Work",
      "folder_uuid": "f-123"
    },
    "browser_config": {
      "cpu": {
        "mode": "random",
        "cpu_value": 32
      },
      "ram": {
        "mode": "random",
        "ram_value": 64
      },
      "fonts": {
        "mode": "manual",
        "fonts_value": "Arial,..."
      },
      "webgl": {
        "mode": "noise",
        "webgl_value": 3593
      },
      "canvas": {
        "mode": "noise",
        "canvas_value": 9679
      },
      "screen": {
        "mode": "manual",
        "screen_value": "2560_1440"
      },
      "webgpu": {
        "mode": "on"
      },
      "webrtc": {
        "mode": "auto",
        "udp_proxy": true
      },
      "language": {
        "mode": "manual",
        "language_value": "sq"
      },
      "timezone": {
        "mode": "manual",
        "timezone_value": "Pacific/Honolulu"
      },
      "system_os": "Mac OS X",
      "user_agent": {
        "mode": "random",
        "client_hints": {
          "platform": "macOS",
          "ua_full_version": "147.0.7727.103"
        },
        "user_agent_value": "Mozilla/5.0 ..."
      },
      "webgl_info": {
        "mode": "random",
        "unmasked_vendor": "Google Inc. (Apple)",
        "unmasked_renderer": "ANGLE (...)"
      },
      "device_name": {
        "mode": "random",
        "device_name_value": "Eliezer-iMac"
      },
      "mac_address": {
        "mode": "random",
        "mac_address_value": "00:26:08:0a:aa:93"
      },
      "client_rects": {
        "mode": "noise",
        "client_rects_value": -32
      },
      "do_not_track": {
        "mode": "on"
      },
      "geo_location": {
        "mode": "manual",
        "accuracy": "50",
        "latitude": "12",
        "longitude": "23"
      },
      "audio_context": {
        "mode": "noise",
        "audio_context_value": 8508
      },
      "media_devices": {
        "mode": "random",
        "audio_inputs_value": "2",
        "video_inputs_value": "5",
        "audio_outputs_value": "4"
      },
      "speech_voices": {
        "mode": "noise"
      },
      "system_version": "Mac OS X 26"
    },
    "rotating_proxy": {
      "city_name": "Miami",
      "state_name": "Florida",
      "country_code": "US",
      "country_name": "United States",
      "traffic_type": "res",
      "city_proxy_val": "MIA",
      "selected_level": "city",
      "region_path_key": "US|FL|MIA",
      "state_proxy_val": "FL"
    }
  },
  "success": true
}
```

**SDK Code**

```python Profiles_Get profile detail_example
import requests

url = "http://127.0.0.1:58931/api/profiles/%7B%7BprofileId%7D%7D"

headers = {"X-API-Key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Profiles_Get profile detail_example
const url = 'http://127.0.0.1:58931/api/profiles/%7B%7BprofileId%7D%7D';
const options = {method: 'GET', headers: {'X-API-Key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Profiles_Get profile detail_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "http://127.0.0.1:58931/api/profiles/%7B%7BprofileId%7D%7D"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-API-Key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Profiles_Get profile detail_example
require 'uri'
require 'net/http'

url = URI("http://127.0.0.1:58931/api/profiles/%7B%7BprofileId%7D%7D")

http = Net::HTTP.new(url.host, url.port)

request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Profiles_Get profile detail_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("http://127.0.0.1:58931/api/profiles/%7B%7BprofileId%7D%7D")
  .header("X-API-Key", "<apiKey>")
  .asString();
```

```php Profiles_Get profile detail_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'http://127.0.0.1:58931/api/profiles/%7B%7BprofileId%7D%7D', [
  'headers' => [
    'X-API-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Profiles_Get profile detail_example
using RestSharp;

var client = new RestClient("http://127.0.0.1:58931/api/profiles/%7B%7BprofileId%7D%7D");
var request = new RestRequest(Method.GET);
request.AddHeader("X-API-Key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Profiles_Get profile detail_example
import Foundation

let headers = ["X-API-Key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "http://127.0.0.1:58931/api/profiles/%7B%7BprofileId%7D%7D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```